### Method

# Shell App activate_full

#### Declaration [src]

    void
    shell_app_activate_full (
      ShellApp* app,
      int workspace,
      guint32 timestamp
    )

#### Description [src]

Perform an appropriate default action for operating on this application, dependent on its current state. For example, if the application is not currently running, launch it. If it is running, activate the most recently used NORMAL window (or if that window has a transient, the most recently used transient for that window).

#### Parameters

`workspace`

  Type: `int`

  Launch on this workspace, or -1 for default. Ignored if activating an existing window.

`timestamp`

  Type: `guint32`

  Event timestamp.